org.keycloak.representations

## Class AccessToken.Access

- java.lang.Object
- - org.keycloak.representations.AccessToken.Access

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AccessToken

      public static class AccessToken.Access
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `roles`
    `protected Boolean` | `verifyCaller`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessToken.Access()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessToken.Access` | `addRole(String role)`
    `AccessToken.Access` | `clone()`
    `Set<String>` | `getRoles()`
    `Boolean` | `getVerifyCaller()`
    `boolean` | `isUserInRole(String role)`
    `AccessToken.Access` | `roles(Set<String> roles)`
    `AccessToken.Access` | `verifyCaller(Boolean required)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### roles

          protected Set<String> roles

    - #### verifyCaller

          protected Boolean verifyCaller

  - ### Constructor Detail

    - #### AccessToken.Access

          public AccessToken.Access()

  - ### Method Detail

    - #### clone

          public AccessToken.Access clone()

      Overrides:
        `clone` in class `Object`

    - #### getRoles

          public Set<String> getRoles()

    - #### roles

          public AccessToken.Access roles(Set<String> roles)

    - #### isUserInRole

          public boolean isUserInRole(String role)

    - #### addRole

          public AccessToken.Access addRole(String role)

    - #### getVerifyCaller

          public Boolean getVerifyCaller()

    - #### verifyCaller

          public AccessToken.Access verifyCaller(Boolean required)

Copyright © 2015. All Rights Reserved.